function autoLogOutApres8heures()
{
	window.setTimeout("location=('autologout.php');",28800000);
}

// On change le thème et la langue du reCaptcha
var RecaptchaOptions = {
	theme : 'white', 
	lang : 'fr'
};

function disableAllFormElements()
{
	$('form').find('input, textarea, button, select').attr('disabled','disabled');
	/*
	$('form').find('input:disabled, textarea:disabled, button:disabled, select:disabled').css({
	  "color": "#333333",
      "background-color": "#ffffff",
      "border": "1px solid #a9a9a9"
	});*/
}

function compteNbCharsTextArea(champ,champNbCharsMax,maximum)
{
	if (champ.value.length > maximum)
		champ.value = champ.value.substring(0, maximum);
	else
		champNbCharsMax.value = maximum - champ.value.length;
}

function dialogUnlockForm(pFormID)
{
	// Boîte de dialogue faite avec jQuery UI en alternative au alert()
	$( "#dialogBoxUnlockForm" ).dialog(
	{
	  dialogClass: "dialogBoxUnlockForm",
	  resizable: false,
	  modal: true,
	  buttons: 
	  {
		"Oui": function()
		{
			$('#frmDebarrerFrm' + pFormID).submit();
		},
		"Non": function()
		{
			$(this).dialog("close");
		}
	  }
	});
}

$(document).ready(function()
{
	$('.radioSecteurFrmCreateAccount').click(function()
	{
		if ($(this).val() == 'PS' && !($('#trChoixFormPriOuSec').is(':visible')))
			$('#trChoixFormPriOuSec').show();
		else
			$('#trChoixFormPriOuSec').hide();
	});
});